# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish Delivery Processor for parallel Edge Side Includes
Name: vdp-pesi
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
#URL: https://code.uplex.de/uplex-varnish/libvdp-pesi
Source0: %{name}-%{version}.tar.gz

# varnish from varnish62 at packagecloud
# Strictly require 6.2.1 by commit ID.
Requires: varnishd(abi)%{?_isa} == 9f8588e4ab785244e06c3446fe09bf9db5dd8753

BuildRequires: varnish-devel == 6.2.1
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6

Provides: vdp-pesi, vdp-pesi-debuginfo

%description
Varnish Delivery Processor that implements Edge Side Includes by
running ESI subrequests in parallel threads.

%prep
%setup -q -n %{name}-%{version}

%build

# if this were a git build
# ./autogen.sh

%configure VARNISHSRC=%{VARNISHSRC}

%{__make} %{?_smp_mflags}

%check

%{__make} %{?_smp_mflags} check

%install

%{__make} install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE

%post
/sbin/ldconfig

%changelog
* Tue Sep 08 2019 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
- Bugfix: no assertion when the VDP never runs, for example when the
  body is empty due to HEAD requests, status 204, etc.

* Tue Sep 08 2019 Geoff Simmons <geoff@uplex.de> - 0.2.0-1
  Require Varnish 6.2.1.

* Thu Aug 08 2019 Geoff Simmons <geoff@uplex.de> - 0.1.0-1
  Initial package version for compatibility with Varnish 6.2.0.
